Bug 1312371 - [RFE] blockdev: Allow setting cache mode of backing files (libvirt)
[RFE] blockdev: Allow setting cache mode of backing files (libvirt)
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.0
All Linux
low Severity medium
: beta
: 7.0
Assigned To: Peter Krempa
Han Han
: FutureFeature, Improvement
Depends On: 634658
Blocks: 580953
  Show dependency treegraph
 
Reported: 2016-02-26 09:46 EST by Ademar Reis
Modified: 2017-09-21 06:30 EDT (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 634658
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Peter Krempa 2016-03-23 09:03:50 EDT
Summary from a private comment:

Description of problem:
Currently, when a snapshot is open with 'cache=none', the backing files are also opened without caching. However, as they are read-only, they can be cached. The downside is that it may cause duplication of caching - both in the host memory as well as the guest's. The upside is that if many VMs share the same backing file (as happens in VDI scenarios), this will make launching them much more efficient.
I think a configuration option allowing this would be helpful for VDI scenarios.

--- Additional comment from Kevin Wolf on 2016-02-26 10:46:25 BRT ---

Upstream commit 91a097e7 implements setting the cache modes for child nodes,
including the backing file. blockdev-add isn't a supported interface yet, but this can also be used with -drive and HMP drive_add.

Note You need to log in before you can comment on or make changes to this bug.